| LogDoctor 4.00 Parse Apache2/Nginx/IIS logs and view dinamically generated statistics

Loading...
Searching...
No Matches
Public Member Functions | Private Member Functions | List of all members
BlacklistItem Struct Referencefinal

## Public Member Functions
const char * | fieldName () const
| Returns the name of the field to which the list is associated.
void | set (const std::vector< std::string > &new_list)
| Replaces the current list with the one provided.
void | add (const std::string &item)
| Adds the provided item to the list.
void | remove (const std::string &item)
| Remove the requested item from the list.
int | moveUp (const std::string &item)
| Moves the requested item one position up in the list.
int | moveDown (const std::string &item)
| Moves the requested item one position down in the list.

## Private Member Functions
std::string | sanitized (const std::string &item) const
| Returns a sanitized item.

## Member Function Documentation

## ◆ add()

void BlacklistItem::add | ( | const std::string & | item | ) |

Adds the provided item to the list.

The item will be sanitized before actually being added to the list

Exceptions

  BWlistException,DoNotCatchException |

## ◆ fieldName()

const char * BlacklistItem::fieldName | ( |  | ) | const

Returns the name of the field to which the list is associated.

The name is translatable

Exceptions

  DoNotCatchException |

## ◆ moveDown()

int BlacklistItem::moveDown | ( | const std::string & | item | ) |

Moves the requested item one position down in the list.

Exceptions

  BWlistException |

## ◆ moveUp()

int BlacklistItem::moveUp | ( | const std::string & | item | ) |

Moves the requested item one position up in the list.

Exceptions

  BWlistException |

## ◆ remove()

void BlacklistItem::remove | ( | const std::string & | item | ) |

Remove the requested item from the list.

Exceptions

  BWlistException |

## ◆ sanitized()

std::string BlacklistItem::sanitized | ( | const std::string & | item | ) | const
| private

Returns a sanitized item.

Exceptions

  BWlistException,DoNotCatchException |

## ◆ set()

void BlacklistItem::set | ( | const std::vector< std::string > & | new_list | ) |

Replaces the current list with the one provided.

All the items will be sanitized before actually becoming part of the list

Exceptions

  BWlistException,DoNotCatchException |

The documentation for this struct was generated from the following files:

- logdoctor/modules/blacklists/modules/blacklist_item.h
- logdoctor/modules/blacklists/modules/blacklist_item.cpp